Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class RibbonUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonUI

Direct Known Subclasses:
  `BasicRibbonUI`

public abstract class RibbonUI extends ComponentUI
UI for ribbon (`JRibbon`).

## Field Summary

Fields
Modifier and Type
Field
Description
`ResizableIcon`
`applicationIcon`
The application icon.

## Constructor Summary

Constructors
Constructor
Description
`RibbonUI()`

## Method Summary

Modifier and Type
Method
Description
`ResizableIcon`
`getApplicationIcon()`
Returns the application icon.
`abstract Rectangle`
`getContextualTaskGroupBounds(RibbonContextualTaskGroup group)`
Returns the bounds of the specified contextual task group.
`abstract void`
`handleMouseWheelEvent(MouseWheelEvent e)`
`abstract boolean`
`isShowingScrollsForBands()`
`abstract boolean`
`isShowingScrollsForTaskToggleButtons()`
`void`
`setApplicationIcon(ResizableIcon applicationIcon)`
Sets the application icon.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### applicationIcon

public ResizableIcon applicationIcon
The application icon. This is displayed in the application menu button.

## Constructor Details

### RibbonUI

public RibbonUI()

## Method Details

### getContextualTaskGroupBounds

public abstract Rectangle getContextualTaskGroupBounds(RibbonContextualTaskGroup group)
Returns the bounds of the specified contextual task group.

Parameters:
  `group` - Contextual task group.
Returns:
  The bounds of the specified contextual task group.

### isShowingScrollsForTaskToggleButtons

public abstract boolean isShowingScrollsForTaskToggleButtons()

### isShowingScrollsForBands

public abstract boolean isShowingScrollsForBands()

### handleMouseWheelEvent

public abstract void handleMouseWheelEvent(MouseWheelEvent e)

### getApplicationIcon

public ResizableIcon getApplicationIcon()
Returns the application icon. This is displayed on the application menu button.

Returns:
  the application icon

### setApplicationIcon

public void setApplicationIcon(ResizableIcon applicationIcon)
Sets the application icon. This is displayed on the application menu button.

There is no check performed to see if `applicationIcon` is `null`.

Parameters:
  `applicationIcon` - the application icon to set